## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcInventoryListener Struct Reference

Listen to inventory changes. More...

`#include <propclass/inv.h>`

List of all members.

## Public Member Functions

virtual void | AddChild (iPcInventory *inventory, iCelEntity *entity)=0
| A child is added to this inventory.
virtual void | RemoveChild (iPcInventory *inventory, iCelEntity *entity)=0
| A child is removed from this inventory.

## Detailed Description

Listen to inventory changes.

Definition at line 33 of file inv.h.

## Member Function Documentation

virtual void iPcInventoryListener::AddChild | ( | iPcInventory * | inventory,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| A child is added to this inventory.

virtual void iPcInventoryListener::RemoveChild | ( | iPcInventory * | inventory,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| A child is removed from this inventory.

The documentation for this struct was generated from the following file:

- propclass/inv.h